## ros-iron-geometric-shapes 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geometric_shapes)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# Set compile options
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(PROJECT_COMPILE_OPTIONS
    -Wall
    -Wextra
    -Wwrite-strings
    -Wunreachable-code
    -Wpointer-arith
    -Wredundant-decls
    -Wno-unused-parameter
  )
endif()

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: Choosing 'Release' for maximum performance")
  set(CMAKE_BUILD_TYPE Release)
endif()


# find *absolute* paths to ASSIMP_LIBRARIES
# Both, pkg-config and assimp's cmake-config don't provide an absolute library path.
# For, pkg-config the path is in ASSIMP_PC_LIBRARY_DIRS, for cmake in ASSIMP_LIBRARY_DIRS.
find_library(assimp_ABS_LIBRARIES NAMES ${assimp_LIBRARIES} assimp HINTS ${assimp_LIBRARY_DIRS} ${assimp_PC_LIBRARY_DIRS})
set(assimp_LIBRARIES "${assimp_ABS_LIBRARIES}")

# These need to be in this order to find header files
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(assimp REQUIRED)
find_package(console_bridge REQUIRED)
find_package(console_bridge_vendor REQUIRED)
find_package(eigen_stl_containers REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(OCTOMAP REQUIRED)
find_package(QHULL REQUIRED)
find_package(random_numbers REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(shape_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)
include(ConfigExtras)

set(THIS_PACKAGE_EXPORT_DEPENDS
  eigen3_cmake_module
  Eigen3
  Boost
  console_bridge
  console_bridge_vendor
  eigen_stl_containers
  geometry_msgs
  OCTOMAP
  random_numbers
  rclcpp
  resource_retriever
  shape_msgs
  visualization_msgs
)

# Set VERSION from package.xml
ament_package_xml()

include_directories(include)

add_library(${PROJECT_NAME} SHARED
  src/aabb.cpp
  src/bodies.cpp
  src/body_operations.cpp
  src/mesh_operations.cpp
  src/shape_extents.cpp
  src/shape_operations.cpp
  src/shape_to_marker.cpp
  src/shapes.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})
ament_target_dependencies(${PROJECT_NAME}
  ${THIS_PACKAGE_EXPORT_DEPENDS}
)
ament_target_dependencies(${PROJECT_NAME} SYSTEM
  # We don't export these dependencies because their cmake is broken
  assimp
  QHULL
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  # Unit tests
  add_subdirectory(test)

  # ament_lint
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)
install(DIRECTORY include/ DESTINATION include)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_EXPORT_DEPENDS})

ament_package(CONFIG_EXTRAS "cmake/ConfigExtras.cmake")

=== debian/changelog ===
ros-iron-geometric-shapes (2.1.3-4jammy) jammy; urgency=high

  * [jammy] Fix assimp linking and cmake error (#215 <https://github.com/ros-planning/geometric_shapes/issues/215>)
  * Contributors: Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 07 Mar 2022 16:00:00 -0000

ros-iron-geometric-shapes (2.1.2-4jammy) jammy; urgency=high

  * Fix cmake such that Boost::filesystem is exported properly (#206 <https://github.com/ros-planning/geometric_shapes/issues/206>)
    Co-authored-by: Jordan Lack <mailto:jlack@houstonmechatronics.com>
  * Contributors: Jafar Abdi

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 21 Dec 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.1.1-4jammy) jammy; urgency=high

  * Changed retriever.h to retriever.hpp in mesh_operations.cpp in order to align with resource_retriever ros2 branch (#200 <https://github.com/ros-planning/geometric_shapes/issues/200>)
  * Add Copyright and LICENSE files
  * Fix building on Windows with MSVC (#189 <https://github.com/ros-planning/geometric_shapes/issues/189>)
  * Contributors: Akash, Diego Rojas, Mark Moll, Tyler Weaver, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 26 Sep 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.1.0-4jammy) jammy; urgency=high

  * Add Galactic CI, cleanup rolling (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Sync ros2 branch with noetic-devel up to d147f03 <https://github.com/ros-planning/geometric_shapes/commit/d147f0371afbece0b8c93a2d2d55149a284d5192> (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Contributors: Jafar Abdi, Henning Kayser, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 14 Jun 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.2-4jammy) jammy; urgency=high

  * Declare assimp add qhull as SYSTEM dependency to suppress compiler warnings (#186 <https://github.com/ros-planning/geometric_shapes/issues/186>)
  * Fix export depends (#182 <https://github.com/ros-planning/geometric_shapes/issues/182>)
  * Add rolling to CI test (#179 <https://github.com/ros-planning/geometric_shapes/issues/179>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 21 May 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.1-4jammy) jammy; urgency=high

  * Set target compile options in cmake for warnings
  * [fix] cmake install command (#164 <https://github.com/ros-planning/geometric_shapes/issues/164>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 08 Apr 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.0-4jammy) jammy; urgency=high

  * [maint] Travis: Disable warnings as gcc warns about redundant declarations in qhull includes
  * [maint] Inherit package VERSION (for library soname) from package.xml
  * [maint] Trim boost dependencies #156 <https://github.com/ros-planning/geometric_shapes/issues/156>
    * libboost-math libraries unnecessary as only headers-only parts are used
    * move author tags below to comply with the xsd
  * [maint] Compile on ROS2 Foxy (#153 <https://github.com/ros-planning/geometric_shapes/issues/153>)
    * Suppress assimp CMP0012 policy warning
    * Use console_bridge_vendor dependency wrapper
    * Fix CMakeLists issues:remove ASSIMP export dependency
    
    fix linking of OCTOMAP, resource_retriever
  * [maint] Resolve octomap dependency with rosdep (#124 <https://github.com/ros-planning/geometric_shapes/issues/124>)
  * [maint] struct SolidPrimitiveDimCount -> function solidPrimitiveDimCount() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [ros2-migration] Port to ROS 2 (#122 <https://github.com/ros-planning/geometric_shapes/issues/122>)
    * Migrate CMakeLists.txt, package.xml, messages
    * Enable Travis: Run on ROS 2, enable ament_lint_cmake
  * Contributors: Henning Kayser, Mikael Arguedas, Robert Haschke, Víctor Mayoral Vilches

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 19 Nov 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.2-4jammy) jammy; urgency=high

  * [maint] Renamed SolidPrimitiveDimCount<shape>::value -> solidPrimitiveDimCount<shape>() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [maint] cmake: Consistently use uppercase letters for QHULL dependency
  * [maint] cmake: Fix assimp warning
  * [maint] Update build badges for Noetic
  * Contributors: Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 24 Sep 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.1-4jammy) jammy; urgency=high

  * [maint] Declare external includes as SYSTEM includes
  * [maint] Migration to reentrant qhull (#149 <https://github.com/ros-planning/geometric_shapes/issues/149>)
  * [maint] Use soname version for library (#157 <https://github.com/ros-planning/geometric_shapes/issues/157>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 30 Aug 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.0-4jammy) jammy; urgency=high

  * [feature] Added constructShapeFromBody() and constructMarkerFromBody() (#138 <https://github.com/ros-planning/geometric_shapes/issues/138>)
  * [maint]   API cleanup
    * Improve inlining
    * ConvexMesh::MeshData as pimpl
    * Reverted ABI compatibility fixups for Melodic: ed4cf1339cf3765ae9ffa6e6fd111a4e342c5fa2, d582479084a10cac53a7f17e29818b3d8be6161e
  * Contributors: Martin Pecka, Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 24 May 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.6.3-4jammy) jammy; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)


=== debian/control ===
Source: ros-iron-geometric-shapes
Section: misc
Priority: optional
Maintainer: Tyler Weaver <tyler@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-dev, libboost-filesystem-dev, libeigen3-dev, libqhull-dev, pkg-config, ros-iron-ament-cmake, ros-iron-ament-cmake-copyright <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-cmake <!nocheck>, ros-iron-console-bridge-vendor, ros-iron-eigen-stl-containers, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-octomap, ros-iron-random-numbers, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rosidl-default-generators, ros-iron-shape-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-iron-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-dev, libboost-filesystem1.74.0, libeigen3-dev, libqhull-dev, ros-iron-console-bridge-vendor, ros-iron-eigen-stl-containers, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-octomap, ros-iron-random-numbers, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rosidl-default-runtime, ros-iron-shape-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: This package contains generic definitions of geometric shapes and bodies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-geometric-shapes//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
